%global modulename unified-engine

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-unified-engine
Version:        6.0.1
Release:        1%{?dist}
Summary:        Engine to process multiple files with unified

License:        MIT
URL:            https://github.com/unifiedjs/unified-engine#readme
Source0:        https://registry.npmjs.org/unified-engine/-/unified-engine-6.0.1.tgz



BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(concat-stream) >= 1.5.1 with npmlib(concat-stream) < 2.0.0))
BuildRequires:  ((npmlib(debug) >= 3.1.0 with npmlib(debug) < 4.0.0))
BuildRequires:  ((npmlib(fault) >= 1.0.0 with npmlib(fault) < 2.0.0))
BuildRequires:  ((npmlib(fn-name) >= 2.0.1 with npmlib(fn-name) < 3.0.0))
BuildRequires:  ((npmlib(glob) >= 7.0.3 with npmlib(glob) < 8.0.0))
BuildRequires:  ((npmlib(ignore) >= 3.2.0 with npmlib(ignore) < 4.0.0))
BuildRequires:  ((npmlib(is-empty) >= 1.0.0 with npmlib(is-empty) < 2.0.0))
BuildRequires:  ((npmlib(is-hidden) >= 1.0.1 with npmlib(is-hidden) < 2.0.0))
BuildRequires:  ((npmlib(is-object) >= 1.0.1 with npmlib(is-object) < 2.0.0))
BuildRequires:  ((npmlib(js-yaml) >= 3.6.1 with npmlib(js-yaml) < 4.0.0))
BuildRequires:  ((npmlib(load-plugin) >= 2.0.0 with npmlib(load-plugin) < 3.0.0))
BuildRequires:  ((npmlib(parse-json) >= 4.0.0 with npmlib(parse-json) < 5.0.0))
BuildRequires:  ((npmlib(to-vfile) >= 4.0.0 with npmlib(to-vfile) < 5.0.0))
BuildRequires:  ((npmlib(trough) >= 1.0.0 with npmlib(trough) < 2.0.0))
BuildRequires:  ((npmlib(unist-util-inspect) >= 4.1.2 with npmlib(unist-util-inspect) < 5.0.0))
BuildRequires:  ((npmlib(vfile-reporter) >= 5.0.0 with npmlib(vfile-reporter) < 6.0.0))
BuildRequires:  ((npmlib(vfile-statistics) >= 1.1.0 with npmlib(vfile-statistics) < 2.0.0))
BuildRequires:  ((npmlib(x-is-string) >= 0.1.0 with npmlib(x-is-string) < 0.2.0))
BuildRequires:  ((npmlib(xtend) >= 4.0.1 with npmlib(xtend) < 5.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
Engine to process multiple files with unified

%package 6.0.1
Summary:        Engine to process multiple files with unified


%description 6.0.1
Engine to process multiple files with unified

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr lib %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
%{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc readme.md
%license LICENSE
%{nodejs_dir}/%{modulename}

%files 6.0.1
%doc readme.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Wed Dec 5 2018 npm2srpm <dshea@redhat.com> - 6.0.1-1
- Package automatically generated by npm2srpm
